Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.screens
Class VelocitySecureScreen

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Screen
              org.apache.turbine.modules.screens.TemplateScreen
                  org.apache.turbine.modules.screens.VelocityScreen
                      org.apache.turbine.modules.screens.VelocitySecureScreen

    public abstract class VelocitySecureScreen

extends VelocityScreen

VelocitySecureScreen Always performs a Security Check that you've defined before executing the doBuildTemplate(). You should extend this class and add the specific security check needed. If you have a number of screens that need to perform the same check, you could make a base screen by extending this class and implementing the isAuthorized(). Then each screen that needs to perform the same check could extend your base screen.

Version:
  $Id: VelocitySecureScreen.java 938645 2010-04-27 20:57:51Z tv $
Author:
  Dave Bryson, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.screens.TemplateScreen
`log`

Fields inherited from class org.apache.turbine.modules.Screen
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocitySecureScreen()`

Method Summary
`protected void` | `doBuildTemplate(PipelineData pipelineData)` This method overrides the method in VelocityScreen to perform a security check first.
`protected void` | `doBuildTemplate(PipelineData pipelineData, org.apache.velocity.context.Context context)` Implement this to add information to the context.
`protected void` | `doBuildTemplate(RunData data)` Deprecated. Use PipelineData version instead.
`protected abstract void` | `doBuildTemplate(RunData data, org.apache.velocity.context.Context context)` Deprecated. Use PipelineData version instead.
`protected boolean` | `isAuthorized(PipelineData pipelineData)` Implement this method to perform the security check needed.
`protected abstract boolean` | `isAuthorized(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.screens.VelocityScreen
`buildTemplate, buildTemplate, getContext, getContext`

Methods inherited from class org.apache.turbine.modules.screens.TemplateScreen
`doBuild, doBuild, doPostBuildTemplate, doPostBuildTemplate, doRedirect, doRedirect, doRedirect, doRedirect, setTemplate, setTemplate`

Methods inherited from class org.apache.turbine.modules.Screen
`build, build, getLayout, getLayout, getPrefix, prepareText, prepareTextMinimum, setLayout, setLayout`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocitySecureScreen

    public VelocitySecureScreen()

Method Detail

### doBuildTemplate

    protected abstract void doBuildTemplate(RunData data,
                                            org.apache.velocity.context.Context context)
                                     throws Exception

  Deprecated. Use PipelineData version instead.

  Implement this to add information to the context.

  Overrides:
    `doBuildTemplate` in class `VelocityScreen`
  Parameters:
    `data` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

### doBuildTemplate

    protected void doBuildTemplate(PipelineData pipelineData,
                                   org.apache.velocity.context.Context context)
                            throws Exception

  Implement this to add information to the context.

  Overrides:
    `doBuildTemplate` in class `VelocityScreen`
  Parameters:
    `data` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

### doBuildTemplate

    protected void doBuildTemplate(RunData data)
                            throws Exception

  Deprecated. Use PipelineData version instead.

  This method overrides the method in VelocityScreen to perform a security check first.

  Overrides:
    `doBuildTemplate` in class `VelocityScreen`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

### doBuildTemplate

    protected void doBuildTemplate(PipelineData pipelineData)
                            throws Exception

  This method overrides the method in VelocityScreen to perform a security check first.

  Overrides:
    `doBuildTemplate` in class `VelocityScreen`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

### isAuthorized

    protected abstract boolean isAuthorized(RunData data)
                                     throws Exception

  Deprecated. Use PipelineData version instead.

  Implement this method to perform the security check needed. You should set the template in this method that you want the user to be sent to if they're unauthorized.

  Parameters:
    `data` - Turbine information.
  Returns:
    True if the user is authorized to access the screen.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

### isAuthorized

    protected boolean isAuthorized(PipelineData pipelineData)
                            throws Exception

  Implement this method to perform the security check needed. You should set the template in this method that you want the user to be sent to if they're unauthorized. See the VelocitySecurityCheck utility.

  Parameters:
    `data` - Turbine information.
  Returns:
    True if the user is authorized to access the screen.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.